@echo off

set AS_BIN_PATH=C:\Utilities\AS\bin
set PROJNAME=game2048
set FILENAME=game2048
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out

cd /D %AS_BIN_PATH%

asw -U -L -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -ja 0 -o %OUTPATH%\%FILENAME%.cod %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

if exist %OUTPATH%\%FILENAME%.p32 (
  cim %OUTPATH%\%FILENAME%.p32 -e %FILENAME%.inf
  cim %OUTPATH%\%FILENAME%.p32 -e %FILENAME%.cod
)

cim %OUTPATH%\%FILENAME%.p32 -a %OUTPATH%\%FILENAME%.inf
if ERRORLEVEL 1 goto error
cim %OUTPATH%\%FILENAME%.p32 -a %OUTPATH%\%FILENAME%.cod
if ERRORLEVEL 1 goto error

goto end

:error
echo Chyba kompilacie.
pause

:end
pause
