@echo off

set AS_BIN_PATH=C:\Utilities\AS\bin
set PROJNAME=game2048
set FILENAME=game2048
set LDR_FILENAME=game2048-loader
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out

cd /D %AS_BIN_PATH%

asw -U -L -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -ja 0 -o %OUTPATH%\%FILENAME%.cod %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

asw -U -L -c -i %SRCPATH% -o %OUTPATH%\%LDR_FILENAME%.p %SRCPATH%\%LDR_FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%LDR_FILENAME%.p %OUTPATH%\%FILENAME%.ptp -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

checksum -add -sl AHeadStart,AHeadLength,AHeadCrc;ALoadStart,ALoadLen,ALoadCrc;ACodeStart,ACodeLength,ACodeCrc -sf %SRCPATH%\%LDR_FILENAME%.h %OUTPATH%\%FILENAME%.ptp
if ERRORLEVEL 1 goto error

start %OUTPATH%\%FILENAME%.ptp
goto end

:error
echo Chyba kompilacie.
pause

:end
rem pause
